<?php

/**
 * @file
 * Theme settings for your festeva custom theme.
 */

/**
 * Implements hook_form_system_theme_settings_alter().
 */
function festeva_form_system_theme_settings_alter(&$form, \Drupal\Core\Form\FormStateInterface $form_state, $form_id = NULL) {

  $form['festava_settings']['menubutton'] = [
    '#type' => 'details',
    '#title' => t('MenuButton Setting'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  ];

  $form['festava_settings']['menubutton']['sectionlink'] = [
    '#type'          => 'textfield',
    '#title'         => t('SectionLink'),
    '#default_value' => theme_get_setting('sectionlink'),
    '#description' => t('Enter the URL for your custom link.'),
  ];
    
    
  $form['festava_settings']['social'] = [
    '#type' => 'details',
    '#title' => t('Social Setting'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  ];
    
  $form['festava_settings']['social']['twitter'] = [
    '#type'          => 'textfield',
    '#title'         => t('Twitter'),
    '#default_value' => theme_get_setting('twitter'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];

  $form['festava_settings']['social']['apple'] = [
    '#type'          => 'textfield',
    '#title'         => t('Apple'),
    '#default_value' => theme_get_setting('apple'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];

  $form['festava_settings']['social']['instagram'] = [
    '#type'          => 'textfield',
    '#title'         => t('Instagram'),
    '#default_value' => theme_get_setting('instagram'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];

  $form['festava_settings']['social']['youtube'] = [
    '#type'          => 'textfield',
    '#title'         => t('Youtube'),
    '#default_value' => theme_get_setting('youtube'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];
  $form['festava_settings']['social']['pinterest'] = [
    '#type'          => 'textfield',
    '#title'         => t('Pinterest'),
    '#default_value' => theme_get_setting('pinterest'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];
  $form['festava_settings']['social']['facebook'] = [
    '#type'          => 'textfield',
    '#title'         => t('Facebook'),
    '#default_value' => theme_get_setting('facebook'),
    '#description'   => t("Place this text in the widget spot on your site."),
  ];
}
?>